<?php

namespace Planaday\Html\NodeTags\Course\ListTag\TemplateSettings;

use Planaday\Config\OptionGroupEnum;

enum CalendarTemplateSettingsEnum: string implements OptionGroupEnum {
	case ShowMouseoverText = 'ShowMouseoverText';
	case ShowAllDayParts = 'ShowAllDayParts';

	public static function getClassName(): string {
		return CalendarTemplateSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return null;
	}
}

